Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003194 [JEDI VCL] 00 JVCL Components minor always 2005-09-13 09:19 2006-06-27 07:18
Reporter jvmlopez View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003194: Problems with the descendants of tJvWizard
Description When creating a form base that includes tJvWizard (tCustomWizardForm) with 3 JvWizardPage(s)

tCustomWizardForm = Object(tForm);
...
Page1: tJvWelcomePage; // Welcome Page
Page2: tJvWizardPage; // Process Page
Page3: tJvWizardPage; // Results Page

(a form with 3 standar pages)

When creating an inherited form

TMyWizardForm = Object(tCustomWizardForm)
...
Page4: tJvWizardPage; // A data Page
Page5: tJvWizardPage; // Other Page

The following problem appears:

When including additional pages it is not possible to establish the correct order for the new pages.

I solve this using OnNextButtonClick and OnBackButtonClick an set

Stop := true;
ActivePage := TheCorrectPage;



Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008835)
obones (administrator)
2006-04-03 05:45

Can you post the zipped sources of a sample application showing this, along with step by step instructions?
Thanks.
(0009435)
obones (administrator)
2006-06-08 02:42

Please try with the latest daily:

http://jvcl.sf.net/daily/ [^]

and please post a sample application. If we don't receive it, we will assume this is fixed.
(0009688)
obones (administrator)
2006-06-27 07:18

No answers, assuming this is fixed in latest SVN

http://homepages.borland.com/jedi/wiki/index.php?title=Repository [^]

- Issue History
Date Modified Username Field Change
2005-09-13 09:19 jvmlopez New Issue
2006-04-03 05:45 obones Note Added: 0008835
2006-04-03 05:45 obones Status new => feedback
2006-06-08 02:42 obones Note Added: 0009435
2006-06-27 07:18 obones Status feedback => resolved
2006-06-27 07:18 obones Fixed in Version => Daily / SVN
2006-06-27 07:18 obones Resolution open => fixed
2006-06-27 07:18 obones Assigned To => obones
2006-06-27 07:18 obones Note Added: 0009688


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker